> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/recommended-exclusions.md).

# recommendedExclusions

Details about recommended exclusions for issues, including reasons, scope, and flags.

### Examples

```graphql
type RecommendedExclusions {
  label: String
  recommended: Boolean
  tooltip: String
  type: String
  id: String
  oxRuleId: String
  level: String
  excludeBy: [String]
  uidOnly: Boolean
  isDefault: Boolean
  ffKey: String
  exclusionScope: String
}
```

### Fields

| Field                   | Description                                                           | Supported fields |
| ----------------------- | --------------------------------------------------------------------- | ---------------- |
| label `String`          | Label or name of the exclusion                                        |                  |
| recommended `Boolean`   | Indicates if the exclusion is recommended                             |                  |
| tooltip `String`        | Tooltip description for the exclusion                                 |                  |
| type `String`           | Type or category of the exclusion                                     |                  |
| id `String`             | Unique identifier of the exclusion                                    |                  |
| oxRuleId `String`       | Rule ID associated with the exclusion                                 |                  |
| level `String`          | Level of exclusion severity or priority                               |                  |
| excludeBy `[String]`    | List of identifiers that exclude this exclusion                       |                  |
| uidOnly `Boolean`       | Indicates if the exclusion is applied only by unique identifier (UID) |                  |
| isDefault `Boolean`     | Indicates if this exclusion is the default                            |                  |
| ffKey `String`          | Feature flag key controlling this exclusion                           |                  |
| exclusionScope `String` | Scope or boundary where this exclusion applies                        |                  |

### References

#### Fields with this object:

* [{} Issue.exclusions](/api-documentation/api-reference/api--issue/types/objects/issue.md)
* [{} Issue.cveExclusions](/api-documentation/api-reference/api--issue/types/objects/issue.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--issue/types/objects/recommended-exclusions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
